This is fbgetty.info, produced by makeinfo version 4.0 from
fbgetty.texi.

INFO-DIR-SECTION Console Tools
START-INFO-DIR-ENTRY
* fbgetty: (fbgetty).		A linux specific getty program
END-INFO-DIR-ENTRY

   This file documents fbgetty 0.1.698

   Copyright (C) 1999 2000 2001 Yann Droneaud <ydroneaud@meuh.eu.org>.

   Permission is granted to make and distribute verbatim copies of this
manual provided the copyright notice and this permission notice are
preserved on all copies.

   Permission is granted to copy and distribute modified versions of
this manual under the conditions for verbatim copying, provided that
the entire resulting derived work is distributed under the terms of a
permission notice identical to this one.

   Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be stated in a
translation approved by the Foundation.


File: fbgetty.info,  Node: Top,  Next: Introduction,  Prev: (dir),  Up: (dir)

fbgetty
*******

   This file documents the fbgetty program.  This edition documents
version 0.1.698.

* Menu:

* Introduction::                fbgetty's purpose
* Options::                     Changing fbgetty behavior
* Set up::                      Config files
* Examples::                    Some config file example
* Index::                       Index


File: fbgetty.info,  Node: Introduction,  Next: Options,  Prev: Top,  Up: Top

Introduction
************

   fbgetty is a new getty that fully support the linux console.  It is
more configurable, powerful, perhaps more funny.  Its most important
feature is the ability to display logo.

   Mail suggestions to <fbgetty@meuh.eu.org> and bug reports to
<fbgetty-bug@meuh.eu.org>.


File: fbgetty.info,  Node: Options,  Next: Set up,  Prev: Introduction,  Up: Top

Options
*******

   `fbgetty' is generaly called by `init'.  Usage: `fbgetty' [OPTIONS]
[TTY] [FRAMEBUFFER] see example for comprehensive examples

   Options:

`-t TTY'
`--tty=TTY'
     Use TTY as terminal device

`-f FRAMEBUFFER'
`--fb=FRAMEBUFFER'
`--framebuffer=FRAMEBUFFER'
     Use FRAMEBUFFER as framebuffer device

`-i ISSUE'
`--issue=ISSUE'
     Set the file that will be display at login.

`-l LOGIN-PROGRAM'
`--login-program=LOGIN-PROGRAM'
     Call LOGIN-PROGRAM to login the user. (default: /bin/login)

`-p PROMPT'
`--login-prompt=PROMPT'
     Display this PROMPT to invite.

`-o TIMEOUT'
`--login-timeout=TIMEOUT'
     Set login timeout to TIMEOUT. This is for erasing login after a
     long time (security purpose).

`--version'
     Display version (only use in interactive mode: do not use it in
     the inittab)

`--help'
     Display the list of switch


File: fbgetty.info,  Node: Set up,  Next: Examples,  Prev: Options,  Up: Top

Set up
******

   In the future, there will be some configuration file for fbgetty.


File: fbgetty.info,  Node: Examples,  Next: Index,  Prev: Set up,  Up: Top

Examples
********

   You can put this in `/etc/inittab'
     1:2345:respawn:/sbin/fbgetty /dev/tty1                # basic example
     2:2345:respawn:/sbin/fbgetty -t /dev/vc/2 -f /dev/fb0 # use of short options
     3:23:respawn:/sbin/fbgetty --tty=/dev/tty3 --login-prompt="%l@%h login -> " # use a customized prompt
     4:23:respawn:/sbin/fbgetty --issue=/etc/issue.tty4 /dev/tty4 /dev/fb1 # use a special issue

   Example of `/etc/issue'

     Issue:
     
     \e[00m\e[01;34m  --[ Welcome to %s (kernel `uname -r`) ]--  \e[00m
     
      Date .......................: @date
      Time .......................: %t
      Hostname ...................: %n
      Host Architecture ..........: %m
      Console ....................: %l
      Number of user connected ...: %u
      Terminal type ..............: $TERM


File: fbgetty.info,  Node: Index,  Prev: Examples,  Up: Top

Index
*****

   This is the global Index

* Menu:

* Examples:                              Examples.
* Options:                               Options.



Tag Table:
Node: Top973
Node: Introduction1415
Node: Options1796
Node: Set up2756
Node: Examples2921
Node: Index3822

End Tag Table
